## cairo-dock-plugins 2.3.0~3

=== Messaging-Menu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-messaging.c 			applet-messaging.h
	applet-menu.c 				applet-menu.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_MESSAGING_MENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${messaging_menudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Messaging-Menu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Messaging-Menu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_MESSAGING_MENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_MESSAGING_MENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

target_link_libraries (${PACKAGE_MESSAGING_MENU}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES}
	indicator-applet)
########### install files ###############

install(TARGETS ${PACKAGE_MESSAGING_MENU} DESTINATION ${pluginsdir})

=== Status-Notifier/src/CMakeLists.txt ===

########### sources ###############

SET(cd-StatusNotifier_LIB_SRCS
	applet-init.c 		applet-init.h
	applet-config.c 		applet-config.h
	applet-host.c 		applet-host.h
	applet-item.c 		applet-item.h
	applet-draw.c 		applet-draw.h
	applet-notifications.c 	applet-notifications.h
	applet-struct.h
)

add_library(${PACKAGE_STATUS_NOTIFIER} SHARED ${cd-StatusNotifier_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${status_notifierdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Status-Notifier.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Status-Notifier")
add_definitions (-DMY_APPLET_VERSION="${VERSION_STATUS_NOTIFIER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_STATUS_NOTIFIER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_STATUS_NOTIFIER}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_STATUS_NOTIFIER} DESTINATION ${pluginsdir})

=== debian/changelog ===
cairo-dock-plugins (2.3.0~3-2) unstable; urgency=low

  * Transition to Webkit 1.3. Change libwebkit-dev to libwebkitgtk-dev.
    (Closes: #635404)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 26 Jul 2011 17:35:46 +0900

cairo-dock-plugins (2.3.0~3-1) unstable; urgency=low

  * New Upstream version 2.3.0~3.
  * Update debian/control.
    - Bump Standard Version 3.9.2.
    - Update version of cairo-dock-core and cairo-dock-dev.
    - Fix typos in package description (Closes: #624424).
      Thanks to Erik Esterer.
    - Add armhf to cairo-dock-alsamixer-plugin (Closes: #629478).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 04 Jul 2011 12:25:34 +0900

cairo-dock-plugins (2.3.0~0rc1-1) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Fix plugin version of Scooby-Do.
  * Fix plugin version of Network-Monitor.
  * Fix package build
  * Fix typo in cairo-dock-illusion-plugin (Closes: #588463, #588449).
  * Update debian/control (Closes: #583144).
    - Update depends version of cairo-dock.
    - Drop cairo-dock from Depends.
    - Change Depends version of cairo-dock-plugin-data.
    - Add powerpcspe added powerpcspe to Architecture of cairo-dock-
      alsamixer-plugin

  [ Youhei SASAKI ]
  * Update debian/changelog
  * New Upstream version 2.3.0~0rc1
  * Change autotools to cmake for upstream change
  * Bump standard Version: 3.9.1
  * Remove unneeded patches
    - fix-plugin-version: change Scooby-Do and Network-monitor reqired version
    - fix-lintian-interreter_error: fix dustbin.conf VERSION_DUSTBIN
    - modified_clean_target: exclude clean_target for data/*.conf
  * Update Build-Depends cairo-dock-dev version
  * Remove Scooby-Do, NetworkMonitor
    - upstream indicates these plugin still 
      buggy/untested/under heavy development.
  * change install library name for upstream change
    - debian/cairo-dock-system-monitor-plugin.install
    - debian/cairo-dock-rssreader-plugin.install

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 01 Mar 2011 19:23:36 +0900

=== debian/control ===
Source: cairo-dock-plugins
Section: x11
Priority: extra
DM-Upload-Allowed: yes
Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7), cmake(>= 2.8.0), gawk, quilt,
 cairo-dock-core(>= 2.3.0~3 ),
 cairo-dock-dev (>= 2.3.0~3 ),
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64],
 libcairo2-dev,
 libcurl4-gnutls-dev,
 libdbus-glib-1-dev,
 libdbusmenu-glib-dev,
 libdbusmenu-gtk-dev,
 libetpan-dev,
 libexif-dev,
 libglib2.0-dev,
 libgnome-keyring-dev,
 libgnome-menu-dev,
 libgnomeui-dev,
 libgnomevfs2-dev,
 libgnutls-dev,
 libgtk2.0-dev,
 libgtkglext1-dev,
#libgvfscommon-dev,
 libical-dev,
#libido-0.1-dev,
 libindicator-dev,
 librsvg2-dev,
 libthunar-vfs-1-dev,
 libvte-dev,
 libwebkitgtk-dev,
 libxklavier-dev,
 libxml2-dev,
 libxtst-dev,
 libxxf86vm-dev,
 x11proto-xf86vidmode-dev
Standards-Version: 3.9.2
Homepage: http://www.glx-dock.org/
Vcs-Git: git://git.debian.org/pkg-cairo-dock/cairo-dock-plugins.git
Vcs-Browser: http://git.debian.org/git/pkg-cairo-dock/cairo-dock-plugins.git

Package: cairo-dock-plugins
Architecture: any
Depends: ${misc:Depends},
  cairo-dock-alsamixer-plugin [!kfreebsd-i386 !kfreebsd-amd64],
  cairo-dock-animated-icons-plugin,
  cairo-dock-cairo-penguin-plugin,
  cairo-dock-clipper-plugin,
  cairo-dock-clock-plugin,
  cairo-dock-compiz-icon-plugin,
  cairo-dock-dbus-plugin,
  cairo-dock-desklet-rendering-plugin,
  cairo-dock-dialog-rendering-plugin,
  cairo-dock-drop-indicator-plugin,
  cairo-dock-dustbin-plugin,
  cairo-dock-icon-effect-plugin,
  cairo-dock-illusion-plugin,
  cairo-dock-logout-plugin,
  cairo-dock-motion-blur-plugin,
  cairo-dock-netspeed-plugin,
  cairo-dock-powermanager-plugin,
  cairo-dock-quick-browser-plugin,
  cairo-dock-rendering-plugin,
  cairo-dock-shortcuts-plugin,
  cairo-dock-showdesktop-plugin,
  cairo-dock-showmouse-plugin,
  cairo-dock-slider-plugin,
  cairo-dock-stack-plugin,
  cairo-dock-switcher-plugin,
  cairo-dock-systray-plugin,
  cairo-dock-tomboy-plugin,
  cairo-dock-toons-plugin,
  cairo-dock-weather-plugin,
  cairo-dock-wifi-plugin,
  cairo-dock-xgamma-plugin,
  cairo-dock-gmenu-plugin,
  cairo-dock-keyboard-indicator-plugin,
  cairo-dock-terminal-plugin,
  cairo-dock-mail-plugin,
  cairo-dock-rssreader-plugin,
  cairo-dock-system-monitor-plugin,
  cairo-dock-dnd2share-plugin,
  cairo-dock-musicplayer-plugin,
  cairo-dock-weblets-plugin,
  cairo-dock-gnome-integration-plugin,
  cairo-dock-kde-integration-plugin,
  cairo-dock-xfce-integration-plugin
#  cairo-dock-scooby-do-plugin,
#  cairo-dock-network-monitor-plugin
Description: Cairo-dock - All plug-ins
 A collection of official plug-ins and applets for cairo-dock.
 .
 This is a metapackage depending on all available cairo-dock plug-ins to make
 installation easier.

Package: cairo-dock-plugin-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cairo-dock - Plug-in data files
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides plug-in data files.

Package: cairo-dock-alsamixer-plugin
Architecture: alpha amd64 armel armhf avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 sh4 sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Alsamixer plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in lets you control the sound volume from the dock.
 This works with the Alsa sound driver.

Package: cairo-dock-animated-icons-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Animated icons plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides many different animations for your icons.

Package: cairo-dock-cairo-penguin-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Cairo-Penguin plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds a lively Penguin in your dock.
 Tux images are taken from Pingus, some other characters are available
 or can be added easily.

Package: cairo-dock-clipper-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Clipper plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in keeps a trace of the clipboard and mouse selection,
 so that you can recall them quickly. It's a clone of the well-know Klipper.
 This supports clipboard and mouse selection, predefined actions, and
 persistent items.

Package: cairo-dock-clock-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Clock plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays time and date in your dock.
 Two views are available : numeric and analogic, based on Cairo-Clock.
 This is compatible with the Cairo-Clock's themes, and you can detach itself to
 be a perfect clone of Cairo-Clock.
 And this supports alarms, and a basic calendar, and allows you to set time
 and date.

Package: cairo-dock-compiz-icon-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Suggests: compiz
Description: Cairo-dock - Compiz icon plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in allows you to manage Compiz and other window managers.
 The sub-dock gives you access to CCSM, Emerald and some basic Compiz
 actions.
 The configuration panel gives users some options to launch Compiz.

Package: cairo-dock-dbus-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Dbus plug-in
 A collection of official plug-ins and applets for cairo-dock
 .
 This plug-in lets external applications interact on the dock.
 The communication between both sides is based on Dbus.

Package: cairo-dock-desklet-rendering-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Desklet rendering plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in renders your desktop.

Package: cairo-dock-dialog-rendering-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Dialog rendering plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides some dialog decorators for dialog bubbles.

Package: cairo-dock-drop-indicator-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Drop indicator plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays an animated indicator when you drop something
 in the dock.

Package: cairo-dock-dustbin-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Dustbin plugin
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in manages the dustbin.
 Users can delete files and unmount disks by drag and dropping them on
 the icon.
 This can warn users if they use too much space.

Package: cairo-dock-icon-effect-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Icon effect plugin
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds many special effects to your icons.

Package: cairo-dock-illusion-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Illusion plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides animations for appearance and disappearance of icons.

Package: cairo-dock-logout-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Logout plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 A very simple plug-in that adds an icon to log out from your session.

Package: cairo-dock-motion-blur-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Motion blur plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds a motion blur effect on docks.

Package: cairo-dock-netspeed-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Netspeed plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in shows you the bit rate of your internet connection and some
 stats about it.

Package: cairo-dock-powermanager-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version}),
	gnome-power-manager
Description: Cairo-dock - Powermanager plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in controls the powermanager for your laptop's battery.
 It works with ACPI and DBus.

Package: cairo-dock-quick-browser-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Quick browser plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in lets you browse a folder and its sub-folders very quickly.

Package: cairo-dock-rendering-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Rendering plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds different views to your dock.
 Any dock or sub-dock can be displayed with the view of your choice.
 Currently, 3D-plane, Caroussel, Parabolic, Rainbow, Slide, and Curve views
 are provided.

Package: cairo-dock-shortcuts-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version}),
	nautilus
Description: Cairo-dock - Shortcuts plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in lets you access quickly all of your shortcuts.
 This can manage disks, network points, and Nautilus bookmarks.

Package: cairo-dock-showdesktop-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Show desktop plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds an icon to show your desktop, and also the desklets,
 the Widget Layer, or all the desktops at once.

Package: cairo-dock-showmouse-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Showmouse plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in draws some animation around the cursor when it's
 inside a dock/desklet.

Package: cairo-dock-slider-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plugin-data (= ${source:Version})
Description: Cairo-dock - Slider plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in is a basic image slider.
 Users just have to select a directory and a display effect and you're done.

Package: cairo-dock-stack-plugin

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

#ifeq (,$(findstring kfreebsd,$(DEB_BUILD_ARCH)))
#      DEB_CONFIGURE_USER_FLAGS = --enable-alsa-mixer
#endif

#DEB_CONFIGURE_USER_FLAGS += \
# 	--enable-gnome-integration \
# 	--disable-old-gnome-integration \
# 	--enable-kde-integration \
# 	--enable-xfce-integration \
# 	--enable-terminal \
# 	--enable-powermanager \
# 	--enable-wifi \
# 	--enable-tomboy \
# 	--enable-compiz-icon \
# 	--enable-xgamma \
# 	--enable-gmenu \
# 	--enable-gio-in-gmenu \
# 	--enable-mail \
# 	--enable-weblets \
# 	--enable-exif \
# 	--enable-keyboard-indicator \
# 	--enable-dnd2share \
# 	--enable-musicplayer \
# 	--enable-network-monitor \
# 	--enable-scooby-do \
# 	--enable-rssreader \
# 	--with-gnu-ld
